%define rel 1

Summary:                A friendly interactive shell
Name:                   fish
Version:                1.22.3
Release:                %mkrel %rel
License:                GPL
Group:                  Shells
URL:                    http://roo.no-ip.org/fish/
Source0:                http://roo.no-ip.org/%{name}/files/%{version}/%{name}-%{version}.tar.bz2
BuildRoot:              %{_tmppath}/%{name}-%{version}-%{release}
BuildRequires:          doxygen ncurses-devel X11-devel
Requires(post):         rpm-helper
Requires(postun):       rpm-helper
# for some function in fish configfile, like max_width, etc
Requires:               bc

%description 
fish is a shell geared towards interactive use. It's features are
focused on user friendlieness and discoverability. The language syntax
is simple but incompatible with other shell languages.

%prep
%setup -q

%build
%configure 
%make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR="$RPM_BUILD_ROOT"
 
rm -Rf $RPM_BUILD_ROOT/usr/share/doc/fish/
%find_lang %{name}
%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/share/rpm-helper/add-shell %name $1 %_bindir/fish

%postun
/usr/share/rpm-helper/del-shell %name $1 %_bindir/fish

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc user_doc/html/* ChangeLog 
%_mandir/man1/*
%_bindir/*
%_datadir/%name
%config(noreplace) %_sysconfdir/fish
#%config(noreplace) %_sysconfdir/fish_inputrc
#%config(noreplace) %_sysconfdir/fish.d


%changelog
* Thu May 03 2007 Michael Scherer <misc@mandriva.org> 1.22.3-1mdv2008.0
+ Revision: 20938
- update to 1.22.3
- Import fish



* Sun Apr 30 2006 Michael Scherer <misc@mandriva.org> 1.21.5-1mdk
- New release 1.21.5

* Mon Apr 10 2006 Michael Scherer <misc@mandriva.org> 1.21.3-1mdk
- New release 1.21.3

* Mon Feb 27 2006 Michael Scherer <misc@mandriva.org> 1.21.1-1mdk
- New release 1.21.1

* Tue Jan 31 2006 Michael Scherer <misc@mandriva.org> 1.20.1-1mdk
- New release 1.20.1

* Tue Jan 17 2006 Michael Scherer <misc@mandriva.org> 1.19.0-1mdk
- New release 1.19.0

* Tue Dec 20 2005 Michael Scherer <misc@mandriva.org> 1.18.2-1mdk
- first mandriva package, upon rgs request ( happy christmas to you ), 
  based on Axel Liljencrantz <axel@liljencrantz.se> spec.
